package com.example.demo.repository;

import com.example.demo.model.Menu;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MenuRepository extends JpaRepository<Menu,String>, JpaSpecificationExecutor<Menu> {
    List<Menu> findByFenleiAndPinmu(String fenlei, String pinmu);

    @Query("select distinct fenlei from com.example.demo.model.Menu")
    List<String> getFenlei();

    @Query("select distinct pinmu from com.example.demo.model.Menu m where m.fenlei=?1")
    List<String> getPinmuByFenlei(String fenlei);
}
